ADDUSER(8)

NAMN
adduser, addgroup - lägg till en användare eller grupp till systemet

SYNOPSIS
adduser [flaggor] [--home KATALOG] [--shell SKAL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GRUPP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] användare

adduser --system [flaggor] [--home KATALOG] [--shell SKAL] [--no-create-home] [--uid ID] [--group | --ingroup GRUPP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] användare

addgroup [flaggor] [--gid ID] grupp

addgroup --system [flaggor] [--gid ID] grupp

adduser [flaggor] användare grupp

  VANLIGA FLAGGOR
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf FIL]

BESKRIVNING

adduser och addgroup lägger till användare och grupper till systemet enligt kommandoradens flaggor och konfigurationsinformation i /etc/adduser.conf. De är vänliga gränssnitt till lågnivåverktyg som useradd, groupadd och usermod, väljer som standard giltiga värden för UID och GID enligt Debians policy, skapar hemkatalogeer med skelettkonfiguration, kör egendefinierade skript och andra funktioner. adduser och addgroup kan köras i ett av fem lägen:

  Lägg till en vanlig användare
Om startad med ett icke-flagga-argument och utan flaggan --system eller --group kommer adduser att lägga till en vanlig användare. adduser kommer att välja det första tillgängliga uid från intervallet som angivits för vanliga användare i konfigurationsfilen. Uid kan åsidosättas med flaggan --uid. Intervallet som anges i konfigurationsfilen kan åsidosättas med flaggorna --firstuid och --lastuid By default, each user in Debian GNU/Linux is given a corresponding group with the same name. Usergroups allow group writable directories to be easily maintained by placing the appropriate users in the new group, setting the set-group-ID bit in the directory, and ensuring that all users use a umask of 002. If this option is turned off by setting USERGROUPS to no, all users' GIDs are set to USERS_GID. Users' primary groups can also be overridden from the command line with the --gid or --ingroup options to set the group by id or name, respectively. Also, users can be added to one or more groups defined in adduser.conf either by setting ADD_EXTRA_GROUPS to 1 in adduser.conf, or by passing --add_extra_groups on the commandline. adduser kommer att skapa en hemkatalog enligt DHOME, GROUPHOMES och LETTERHOMES. Hemkatalogen kan köras över från kommandoraden med flaggan --home och skalet med flaggan --shell. Hemkatalogers setgid-bit är satt om USERGROUPS är yes så att alla filer som skapas i användarens hemkatalog kommer att ha den korrekta gruppen. adduser kommer att kopiera filer från SKEL till hemkatalogen och fråga efter fingerinformation (gecos) och ett lösenord. Gecos kan också ställas in med flaggan --gecos. Med flaggan --disabled-login kommer kontot att skapas men inaktiveras tills ett lösenord är satt. Flaggan --disabled-password kommer inte att sätta ett lösenord men inloggning är fortfarande möjlig (till exempel genom SSH RSA-nycklar). Om filen /usr/local/sbin/adduser.local existerar kommer den att startas efter att användarens konto har blivit uppsatt för att göra vissa lokala inställningar. Argumenten som skickas till adduser.local är:
användarnamn uid gid hemkatalog
Miljövariabeln VERBOSE ställs in enligt följande regel:

0 if
    --quiet is specified

1 if neither
    --quiet nor --debug is specified

2 if
    --debug is specified (The same applies to the variable DEBUG, but DEBUG is deprecated and will be removed in a later version of adduser.)

  Lägg till en systemanvändare
If called with one non-option argument and the --system option, adduser will add a system user. If a user with the same name already exists in the system uid range (or, if the uid is specified, if a user with that uid already exists), adduser will exit with a warning. This warning can be suppressed by adding --quiet. adduser kommer att välja det första tillgängliga UID:t från intervallet som angivits för systemanvändare i konfigurationsfilen (FIRST_SYSTEM_UID och LAST_SYSTEM_UID). För att sätta ett särskilt UID kan flaggan --uid användas. Som standard placeras systemanvändare i gruppen nogroup. För att placera den nya systemanvändaren i en redan existerande grupp kan flaggorna --gid eller --ingroup användas. För att placera den nya systemanvändaren i en ny grupp med samma ID, använd flaggan --group. En hemkatalog skapas med samma regler som för vanliga användare. Den nya systemanvändaren kommer att ha skalet /usr/sbin/nologin (om den inte åsidosätts med flaggan --shell) och ha möjligheten för inloggning avstängd. Skelettkonfigurationsfiler kopieras inte.

  Lägg till en användargrupp
Om adduser kallas upp med flaggan --group och utan flaggan --system eller om addgroup kallas upp respektive kommer en användargrupp att läggas till. Ett GID kommer att väljas från intervallet som angivits för system GID-nummer i konfigurationsfilen (FIRST_GID, LAST_GID). För att åsidosätta detta kan gid anges med flaggan --gid. Gruppen skapas utan några användare.

  Lägg till en systemgrupp
Om addgroup kallas upp med flaggan --system kommer en systemgrupp att läggas till. Ett GID kommer att väljas från intervallet som angivits för systemets gid-nummer i konfigurationsfilen. Gid kan åsidosättas med flaggan --gid. Gruppen skapas utan några användare.

  Lägg till en existerande användare till en existerande grupp
Om startad med två icke-flaggor-argument kommer adduser att lägga till en existerande användare till en existerande grupp.

FLAGGOR

--conf FIL
    Använd FIL istället för /etc/adduser.conf.

--disabled-login
    Kör inte passwd för att ställa in lösenordet. Användaren kommer inte att kunna använda sitt konto tills lösenordet är inställt.

--disabled-password
    Liknande --disabled-login men inloggningar är fortfarande möjliga (till exempel genom SSH RSA-nycklar) men inte med lösenordautentisering.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name. NAME_REGEX is described in adduser.conf(5).

--gecos GECOS
    Ställer in gecos-fältet för den nya genererade posten. adduser kommer inte att fråga efter finger-information om denna flagga anges.

--gid ID
    När en grupp skapas tvingar denna flagga den nya gid att vara det angivna numret. När en användare skapas kommer denna flagga att sätta användaren i den gruppen.

--group
    När kombinerad med --system kommer en grupp med samma namn och ID som systemanvändaren att skapas. Om den inte kombineras med --system kommer en grupp med angivet namn att skapas. Detta är standardåtgärden om programmet startas som addgroup.

--help
    Visa korta instruktioner.

--home KATALOG
    Använd KATALOG som användarens hemkatalog hellre än det förvalda i konfigurationsfilen. Om katalogen inte existerar kommer den skapas och skelettfiler kopieras dit.

--shell SKAL
    Använd SKAL som användarens inloggningsskal hellre än det förvalda i konfigurationsfilen.

--ingroup GRUPP
    Add the new user to GROUP instead of a usergroup or the default group defined by USERS_GID in the configuration file. This affects the users primary group. To add additional groups, see the add_extra_groups option.

--no-create-home
    Skapa inte hemkatalogen även om den inte existerar.

--quiet
    Visa inte informativa meddelanden, visa endast varningar och fel.

--debug
    Var informativ, mycket användbar om du vill hitta problem med adduser.

--system
    Skapa en systemanvändare eller -grupp.

--uid ID
    Tvinga det nya användar-id:t att vara angivet nummer. adduser kommer att misslyckas om användar-id:t redan används.

--firstuid ID
    Åsidosätt det första uid i intervallet som uid väljs från (åsidosätter FIRST_UID som specifieras i instälningsfilen).

--lastuid ID
    Åsidosätt det sista uid i intervallet som uid väljs från (LAST_UID).

--add_extra_groups
    Lägg till nya användare till extragrupper definierade i inställningsfilen.

--version
    Visa version och information om copyright.

RETURVÄRDEN

0   Användaren som angavs existerar redan. Detta kan härledas till två anledningar: Användaren skapades av adduser eller fanns redan på systemet före exekveringen av adduser. Om adduser returnerade 0 kommer en körning av adduser en andra gång med samma flaggor också att returnera 0.

1   Skapandet av användaren eller gruppen misslyckades eftersom det redan fanns med ett annat UID/GID än det som angavs. Användarnamnet eller gruppnamnet avvisades eftersom det inte överrensstämde med det angivna reguljära uttrycket, läs adduser.conf(5). Adduser avbröts av en signal.
    Eller för att många andra ännu så länge odokumenterade anledningar skrivs ut på konsollen. Du kan då överväga att ta bort --quiet för att göra adduser mer pratig.

FILER

/etc/adduser.conf
    Standard konfigurationsfil för adduser och addgroup

/usr/local/sbin/adduser.local
    Optional custom add-ons.

SE OCKSÅ
adduser.conf(5), deluser(8), groupadd(8), useradd(8), usermod(8), Debian Policy 9.2.2.

ÖVERSÄTTARE
Denna manualsida har översatts av Daniel Nylander <po@danielnylander.se> den 25 november 2005. Om du hittar några felaktigheter i översättningen, vänligen skicka ett e-postmeddelande till översättaren eller till sändlistan <debian-l10n-swedish@lists.debian.org>,

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Modifieringar av Roland Bauerschmidt och Marc Haber. Ytterligare ändringar av Joerg Hoh och Stephen Gran.
Copyright (C) 1995 Ted Hajek, med en hel del lånat från ursprungliga Debian adduser
Copyright (C) 1994 Ian Murdock. adduser är fri programvara; se GNU General Public Licence version 2 eller senare för villkor för kopiering. Det finns ingen garanti.